Subject: bug#36135: installer wifi password prompt

From: Ludovic Courtès <[email-masked]>
Date: Mon, 10 Jun 2019 23:38:25 +0200

Hi!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Ludovic Courtès wrote:
>> Tobias Geerinckx-Rice <[email-masked]> skribis:
>>
>>> * gnu/installer/newt/wifi.scm (run-wifi-password-page):
>>> Add an #:INPUT-SHOW-CHECKBOX? to the input page.
>>
>> [...]
>>
>>> +                  #:input-show-checkbox? #t))
>>
>> It’s called #:input-hide-checkbox? AFAICS.
>
> Yes.  See the other patches in this ad-hoc ‘series’.

OK.

>> You can double-check that it builds without warnings with:
>>
>>   guix system vm -v2 gnu/system/install.scm
>
> Sure, I guess, but could you explain the point of doing so?
> Reproducibility by others?  I don't think patches like these should be
> pushed with such light testing, and I don't see how this can be tested
> in a VM.

No argument here!  The patch referred to a keyword argument that does
not exist, which is why I’m indeed suggesting more testing.  Simply
looking at the compiler warnings would have raised a flag.

Ludo’.